Bug 70780 - flex-align:stretch + max-height needs to clamp to max-height and position appropriately
Summary: flex-align:stretch + max-height needs to clamp to max-height and position app...
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Layout and Rendering (show other bugs)
Version: 528+ (Nightly build)
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Tony Chang
URL:
Keywords:
Depends on:
Blocks: 62048
  Show dependency treegraph
 
Reported: 2011-10-24 16:49 PDT by Ojan Vafai
Modified: 2011-11-29 11:08 PST (History)
2 users (show)

See Also:


Attachments
Patch (8.63 KB, patch)
2011-11-17 13:56 PST, Tony Chang
no flags Details | Formatted Diff | Diff
Patch (8.53 KB, patch)
2011-11-17 16:10 PST, Tony Chang
hyatt: review+
Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Ojan Vafai 2011-10-24 16:49:37 PDT
See www-style discussion for the resolution of where it should be positioned: http://lists.w3.org/Archives/Public/www-style/2011Oct/0698.html
Comment 1 Tony Chang 2011-11-17 13:56:29 PST
Created attachment 115669 [details]
Patch
Comment 2 Ojan Vafai 2011-11-17 14:12:04 PST
Comment on attachment 115669 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=115669&action=review

> Source/WebCore/rendering/RenderFlexibleBox.cpp:720
> +            Length logicalHeight = isHorizontalFlow() ? child->style()->height() : child->style()->width();

Nit: s/logicalHeight/crossAxisExtent
Comment 3 Tony Chang 2011-11-17 16:10:12 PST
Created attachment 115704 [details]
Patch
Comment 4 Tony Chang 2011-11-17 16:11:22 PST
(In reply to comment #2)
> (From update of attachment 115669 [details])
> View in context: https://bugs.webkit.org/attachment.cgi?id=115669&action=review
> 
> > Source/WebCore/rendering/RenderFlexibleBox.cpp:720
> > +            Length logicalHeight = isHorizontalFlow() ? child->style()->height() : child->style()->width();
> 
> Nit: s/logicalHeight/crossAxisExtent

I switch to using logical height for all of this code since it only applies to row flexing.
Comment 5 Ojan Vafai 2011-11-18 00:16:34 PST
Comment on attachment 115704 [details]
Patch

LGTM
Comment 6 Dave Hyatt 2011-11-29 11:01:27 PST
Comment on attachment 115704 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=115704&action=review

r=me

> Source/WebCore/rendering/RenderBox.cpp:1805
> +    // In the case of columns that have a strech alignment, we go ahead and layout at the

Typo. strech should be stretch.
Comment 7 Tony Chang 2011-11-29 11:08:04 PST
Committed r101399: <http://trac.webkit.org/changeset/101399>